Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 486512 - x11-proto/xcb-proto: pkg-config file hardcodes python sitedir
Summary: x11-proto/xcb-proto: pkg-config file hardcodes python sitedir
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 500368
  Show dependency tree
 
Reported: 2013-09-29 20:44 UTC by Michał Górny
Modified: 2020-02-22 21:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-09-29 20:44:24 UTC
The xcb-proto package was modified to support being built for multiple Python implementations. However, it installs xcb-proto.pc that has:

pythondir=${prefix}/lib64/python3.3/site-packages

even though I hadn't enabled py3.3 on the package. To be honest, I don't see a proper way to support multiple impls with this, so I suggest switching it back to python-single-r1.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-09-29 20:48:18 UTC
Oh, the py3.3 parts are installed as part of multilib, that half of the bug would be my fault.

If you were wondering, libxcb's c_client.py inserts those paths to sys.path which sucks real much. Alternatively, I think we could try to hack it not to do so since it's completely unnecessary. Or convince upstream.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-11-09 08:55:38 UTC
[master 39beabb] x11-proto/xcb-proto: Null out the pythondir in xcb-proto.pc to make xcb-proto useful for any Python implementation.
 1 file changed, 3 insertions(+)

I've worked around it in ::x11.
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-11 13:01:58 UTC
This was fixed in 1.10
Comment 4 Larry the Git Cow gentoo-dev 2020-02-22 21:06:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dbe4e86cf9075f4523ee8557f0e17edc9a32aaa

commit 4dbe4e86cf9075f4523ee8557f0e17edc9a32aaa
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2020-02-22 20:28:13 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-02-22 21:06:01 +0000

    x11-base/xcb-proto: Version bump to 1.14
    
    Bug: https://bugs.gentoo.org/486512
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-base/xcb-proto/Manifest              |  1 +
 x11-base/xcb-proto/xcb-proto-1.14.ebuild | 42 ++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)